summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author ltlnx <ltlnx.tw@gmail.com>2022-11-25 08:50:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-11-25 08:50:11 +0700
commit609947e080f793b46704cc06fa7a55d3876949c6 (patch)
tree1ca4f6b36b15b7b7cbbeacf176ae845c5581fec7 /misc
parent73fe91e40d97674d2e5fbc9127a98b7e4bbbf65e (diff)
downloadslackbuilds-609947e080f793b46704cc06fa7a55d3876949c6.tar.gz
slackbuilds-609947e080f793b46704cc06fa7a55d3876949c6.tar.xz
misc/fcitx5-qt: Added (Qt libraries for fcitx5).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/fcitx5-qt/README14
-rw-r--r--misc/fcitx5-qt/doinst.sh3
-rw-r--r--misc/fcitx5-qt/fcitx5-qt.SlackBuild108
-rw-r--r--misc/fcitx5-qt/fcitx5-qt.info10
-rw-r--r--misc/fcitx5-qt/slack-desc19
5 files changed, 154 insertions, 0 deletions
diff --git a/misc/fcitx5-qt/README b/misc/fcitx5-qt/README
new file mode 100644
index 0000000000..3dfcdbe776
--- /dev/null
+++ b/misc/fcitx5-qt/README
@@ -0,0 +1,14 @@
+fcitx5-qt is the Qt im-module for fcitx5 and it's needed to use fcitx5
+with Qt-based applications. It currently supports Qt4, Qt5 and Qt6.
+You'll need several Qt modules if you're going to enable Qt5/Qt6
+support, namely QtCore, QtDbus, QtWidgets and QtX11Extras. Qt5 is
+bundled in Slackware, however if you want Qt6 support you're on your
+own; but any app that requires Qt6 on SBo at this point should have
+already pulled all the dependencies in.
+
+Relevant CMake options are ENABLE_QT4, ENABLE_QT5 and ENABLE_QT6.
+Both ENABLE_QT4 and ENABLE_QT5 are turned on by default, and ENABLE_QT6
+is turned off by default; however Slackware has dropped Qt4 in Slackware
+15, so ENABLE_QT4 is turned off in the SlackBuild. You might want to
+turn on/off the flag depending on the Qt version you are using.
+
diff --git a/misc/fcitx5-qt/doinst.sh b/misc/fcitx5-qt/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/misc/fcitx5-qt/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/misc/fcitx5-qt/fcitx5-qt.SlackBuild b/misc/fcitx5-qt/fcitx5-qt.SlackBuild
new file mode 100644
index 0000000000..a13ed58382
--- /dev/null
+++ b/misc/fcitx5-qt/fcitx5-qt.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Copyright 2022 Wen-Wei Kao (ltlnx), Taichung, Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=fcitx5-qt
+VERSION=${VERSION:-5.0.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-txz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_FLAGS="${SLKCFLAGS}" \
+ -DCMAKE_C_FLAGS="${SLKCFLAGS}" \
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DENABLE_QT4=Off ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSES/* README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+tree
+cat $PKG/install/doinst.sh
+test -r $PKG/install/doinst.sh
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/misc/fcitx5-qt/fcitx5-qt.info b/misc/fcitx5-qt/fcitx5-qt.info
new file mode 100644
index 0000000000..6e337c4ec1
--- /dev/null
+++ b/misc/fcitx5-qt/fcitx5-qt.info
@@ -0,0 +1,10 @@
+PRGNAM="fcitx5-qt"
+VERSION="5.0.15"
+HOMEPAGE="https://github.com/fcitx/fcitx5-qt"
+DOWNLOAD="https://download.fcitx-im.org/fcitx5/fcitx5-qt/fcitx5-qt-5.0.15.tar.xz"
+MD5SUM="df0d15745a06c4e99c1d181fa9f04c0a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fcitx5"
+MAINTAINER="ltlnx"
+EMAIL="ltlnx.tw@gmail.com"
diff --git a/misc/fcitx5-qt/slack-desc b/misc/fcitx5-qt/slack-desc
new file mode 100644
index 0000000000..701a0d8e04
--- /dev/null
+++ b/misc/fcitx5-qt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fcitx5-qt: fcitx5-qt (Qt libraries for Fcitx5)
+fcitx5-qt:
+fcitx5-qt: Qt library and IM module for fcitx5
+fcitx5-qt:
+fcitx5-qt: Homepage: https://fcitx-im.org/wiki/Fcitx_5
+fcitx5-qt:
+fcitx5-qt:
+fcitx5-qt:
+fcitx5-qt:
+fcitx5-qt:
+fcitx5-qt: